## org.apache.tools.ant.taskdefs.optional.sitraka
Class Triggers.Method

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.sitraka.Triggers.Method

Enclosing class:
  Triggers

public static class Triggers.Method
extends java.lang.Object

A trigger for the coverage report

Field Summary
`protected java.lang.String` `action`
`protected java.lang.String` `event`
`protected java.lang.String` `name`
`protected java.lang.String` `param`

Constructor Summary
`Triggers.Method()`

Method Summary
`void` `setAction(java.lang.String value)` The action to execute; required.
`void` `setEvent(java.lang.String value)` the event on the method that will trigger the action.
`void` `setName(java.lang.String value)` The name of the method(s) as a regular expression.
`void` `setParam(java.lang.String value)` A alphanumeric custom name for the snapshot; optional.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### event

    protected java.lang.String event

### action

    protected java.lang.String action

### param

    protected java.lang.String param

Constructor Detail

### Triggers.Method

    public Triggers.Method()

Method Detail

### setName

    public void setName(java.lang.String value)

  The name of the method(s) as a regular expression. The name is the fully qualified name on the form `package.classname.method` required.

### setEvent

    public void setEvent(java.lang.String value)

  the event on the method that will trigger the action. Must be "enter" or "exit" required.

### setAction

    public void setAction(java.lang.String value)
                   throws BuildException

  The action to execute; required. Must be one of "clear", "pause", "resume", "snapshot", "suspend", or "exit". They respectively clear recording, pause recording, resume recording, take a snapshot, suspend the recording and exit the program.

  Throws:
    `BuildException`

### setParam

    public void setParam(java.lang.String value)

  A alphanumeric custom name for the snapshot; optional.

### toString

    public java.lang.String toString()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.